Get billing entitlements
GET
Get the organization's current plan, feature entitlements, and usage limits.
Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.
cookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
OK
application/json- response
billingEmail?string|nullscheduledPlan?|nullplan*stringplanName*stringbillingStatus*stringValue in
"none""active""trialing""past_due""incomplete""incomplete_expired""canceled""paused""unpaid"plans*array<>organizationUsage*projectUsage*array<>periodStart*|nullperiodEnd*|nullsubscription*|nullcurl -X GET 'https://api.orvelt.com/v1/billing/entitlements'Example Response
{
"billingEmail": "string",
"scheduledPlan": {
"id": "string",
"name": "string",
"startsAt": "2019-08-24T14:15:22Z"
},
"plan": "string",
"planName": "string",
"billingStatus": "none",
"plans": [
{
"id": "string",
"name": "string",
"group": "string",
"description": "string",
"price": {
"amount": 0,
"interval": "string",
"intervalCount": 0
},
"items": [
{
"featureId": "string",
"included": 0,
"unlimited": true,
"feature": {
"name": "string"
},
"reset": {
"interval": "string"
}
}
],
"licenses": [
{
"licensePlanId": "string",
"included": 0,
"plan": {
"items": [
{
"featureId": "string",
"included": 0,
"unlimited": true,
"feature": {
"name": "string"
},
"reset": {
"interval": "string"
}
}
]
}
}
],
"freeTrial": {
"durationLength": 0,
"durationType": "string",
"cardRequired": true
},
"customerEligibility": {
"attachAction": "activate",
"status": "active",
"trialAvailable": true,
"canceling": true,
"trialing": true
}
}
],
"organizationUsage": {
"privateAnswers": {
"used": 0,
"limit": 0,
"remaining": 0,
"nextResetAt": 0
},
"additionalTeams": {
"used": 0,
"limit": 0,
"remaining": 0,
"nextResetAt": 0
},
"storage": {
"used": 0,
"limit": 0,
"remaining": 0,
"nextResetAt": 0
}
},
"projectUsage": [
{
"projectId": "string",
"projectName": "string",
"routeSlug": "string",
"preverifiedLinks": {
"used": 0,
"limit": 0,
"remaining": 0,
"nextResetAt": 0
},
"activeQuestions": {
"used": 0,
"limit": 0,
"remaining": 0,
"nextResetAt": 0
},
"goals": {
"used": 0,
"limit": 0,
"remaining": 0,
"nextResetAt": 0
},
"teamMembers": {
"used": 0,
"limit": 0,
"remaining": 0,
"nextResetAt": 0
}
}
],
"periodStart": "2019-08-24T14:15:22Z",
"periodEnd": "2019-08-24T14:15:22Z",
"subscription": {
"id": "string",
"plan": "string",
"status": "active",
"billingInterval": "month",
"periodStart": "2019-08-24T14:15:22Z",
"periodEnd": "2019-08-24T14:15:22Z",
"trialStart": "2019-08-24T14:15:22Z",
"trialEnd": "2019-08-24T14:15:22Z",
"cancelAtPeriodEnd": true,
"cancelAt": "2019-08-24T14:15:22Z",
"canceledAt": "2019-08-24T14:15:22Z",
"endedAt": "2019-08-24T14:15:22Z",
"scheduledChangeAt": "2019-08-24T14:15:22Z"
}
}